Auto Multiple Choice - Bug # 152: scan ne fonctionne pas
Description: Bonjour,
j'ai installé amc 1.1.1335 (svn:1339) sur xubuntu 12.10 via virutalbox 4.2.10. Pour cela j'ai suivi les
instructions de cette page web
http://project.auto-multiple-choice.net/projects/auto-multiple-choice/wiki/Building_ AMC_from_repository
Lorsque j'effectue une saisie automatique de 2 copies (je suis en phase de prise en main du logiciel) dans le
cadre diagnotic j'ai "2 scans n'ont pas reconnus". Peu aprés apparait un message info ubuntu indiquant I'arret
inopiné de /usr/lib/AMC/exec/AMC-detect.
En démarrant I'appli depuis un terminal j'ai le message suivant dans le terminal :
Use of uninitialized value in string ne at /usr/lib/AMC/perl/AMC-gui.pl line 4557.
OpenCV Error: Bad argument (Bad image header) in cvClonelmage, file
/build/buildd/opencv-2.3.1/modules/core/src/array.cpp, line 3108
terminate called after throwing an instance of 'cv::Exception’

what(): /build/buildd/opencv-2.3.1/modules/core/src/array.cpp:3108: error: (-5) Bad image header in function
cvClonelmage
OpenCV Error: Bad argument (Bad image header) in cvClonelmage, file
/build/buildd/opencv-2.3.1/modules/core/src/array.cpp, line 3108
terminate called after throwing an instance of 'cv::Exception’
what(): /build/buildd/opencv-2.3.1/modules/core/src/array.cpp:3108: error: (-5) Bad image header in function

cvClonelmage
Use of uninitialized value in numeric gt (>) at /usr/lib/AMC/perl/AMC-gui.pl line 5120.
Ce probléme est-il du a la virtualisation, a la version d'Ubuntu ? et y a t-il une solution a ce probléeme ?
Merci d'avance
Cyrille OSPEL

History

03/21/2013 10:57 pm - Alexis Bienveniie
Pouvez-vous lancer la saisie automatique en mode débogage (depuis le menu _Aide_) et joindre le fichier @log@ ainsi créé ?

Et, éventuellement : votre répertoire projet complet, ainsi que votre scan.

Cela permettra peut-étre d'y voir plus clair.

Par ailleurs, pour une installation d'une version récente sur Ubuntu, je pense que le plus simple est d'utiliser le "PPA

test":https://launchpad.net/~alexis.bienvenue/+archive/test.

03/22/2013 09:09 am - Cyrille OSPEL

Bonjour,

merci de votre réponse. Lorsque j'ai voulu retester avec un projet (pour vous faire I'envoie) j'ai compris par hasard d'ou vient le probléeme. Cela provient

07/06/2025

1/2




d'un espace dans le nom du ficher des scans. En enlevant cet espace les scans sont reconnus et bien traites.

Donc fin du probleme.

03/26/2013 03:34 pm - Alexis Bienveniie

Pouvez-vous préciser a quelle étape cela a coincé, avec éventuellement produire un fichier log, afin d'essayer de supprimer de dysfonctionnement ?

03/27/2013 01:00 pm - Alexis Bienveniie
- Target version set to 1.2.0

Je ne sais pas ce que vos scans en TIFF ont de particulier, mais ils ne sont pas lus correctement par OpenCV. Une solution temporaire est de les
convertir en un format plus "standard" avec ImageMagick (a faire pour chaque scan) :

<pre>

convert scan-original.tiff scan-converti.tiff

</pre>

et de fournir les scans convertis a AMC.

Je vais ajouter une option a AMC pour qu'on puisse lui demander de le faire tout seul.

03/28/2013 08:37 am - Cyrille OSPEL

Merci a vous, pour le support de ce logiciel trés bien fait. J'ai depuis réussi a faire d'autre QCM ol la saisie se passe trés bien.

04/17/2013 10:33 pm - Alexis Bienveniie
- % Done changed from 0 to 100

- Status changed from New to Closed
